viralquery
Api referencev1/signup/claim

Claim a paid signup and retrieve the key

POST
/v1/signup/claim

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

claimToken*string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/signup/claim" \  -H "Content-Type: application/json" \  -d '{    "claimToken": "string"  }'
{
  "status": "string",
  "apiKey": "string",
  "accountId": "string",
  "creditsCents": 0
}
{
  "error": "invalid_request",
  "message": "string",
  "issues": [
    {
      "path": "string",
      "message": "string"
    }
  ]
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}
{
  "error": "upstream_error",
  "message": "string",
  "retryable": true
}